summaryrefslogtreecommitdiffstats
path: root/libraries/gmtk
diff options
context:
space:
mode:
author Phillip Warner <pc_warner@yahoo.com>2012-09-10 21:37:47 +0200
committer Robby Workman <rworkman@slackbuilds.org>2012-09-10 16:35:40 -0500
commitebceb474cd4030daba814738bc584050fb0fd8f1 (patch)
tree3d88b57dc241318b8a87ff93ee1a9604c84aa287 /libraries/gmtk
parent56ae28c430c029e3c773d98fdc86bf677fb09a94 (diff)
downloadslackbuilds-ebceb474cd4030daba814738bc584050fb0fd8f1.tar.gz
slackbuilds-ebceb474cd4030daba814738bc584050fb0fd8f1.tar.xz
libraries/gmtk: Added (Gnome Mplayer Toolkit).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries/gmtk')
-rw-r--r--libraries/gmtk/README15
-rw-r--r--libraries/gmtk/gmtk.SlackBuild87
-rw-r--r--libraries/gmtk/gmtk.info10
-rw-r--r--libraries/gmtk/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/libraries/gmtk/README b/libraries/gmtk/README
new file mode 100644
index 0000000000..e009c645b3
--- /dev/null
+++ b/libraries/gmtk/README
@@ -0,0 +1,15 @@
+GMTK is the Gnome Mplayer Toolkit
+
+It includes common methods used by Gnome Mplayer and Gecko Media
+Player. The library also contains several widgets that can be used by
+other applications. Those widgets are
+
+ gmtk_media_player - a widget that completely embeds Mplayer
+ gmtk_media_tracker - a widget that manages the timeline of media
+ gmtk_audio_meter - a audio visualization tool
+ gmtk_output_combobox - a widget for selecting audio outputs
+ (alsa and pulse compatible)
+
+It uses GConf to save its setting, but it can use the optional
+dependency dconf for it: in this case pass the switch DCONF="yes"
+to the script.
diff --git a/libraries/gmtk/gmtk.SlackBuild b/libraries/gmtk/gmtk.SlackBuild
new file mode 100644
index 0000000000..409a655ed8
--- /dev/null
+++ b/libraries/gmtk/gmtk.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for gmtk
+# Written by Phillip Warner <pc_warner@yahoo.com>
+
+PRGNAM=gmtk
+VERSION=${VERSION:-1.0.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Assume we're using gconf unless otherwise specified
+# set to "yes" to use dconf
+DCONF=${DCONF:-no}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+# If GCONF=YES above, then enable gconf; otherwise, disable it.
+if [ "$DCONF" = "no" ]; then
+ do_gconf="enable"
+ else
+ do_gconf="disable"
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --${do_gconf}-gconf \
+ --disable-gtk3 \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/gmtk/gmtk.info b/libraries/gmtk/gmtk.info
new file mode 100644
index 0000000000..4e5f3ce115
--- /dev/null
+++ b/libraries/gmtk/gmtk.info
@@ -0,0 +1,10 @@
+PRGNAM="gmtk"
+VERSION="1.0.6"
+HOMEPAGE="http://sites.google.com/site/kdekorte2/gmtk"
+DOWNLOAD="http://gmtk.googlecode.com/files/gmtk-1.0.6.tar.gz"
+MD5SUM="6bf1c63788541272717f63ec370f6b6c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Phillip Warner"
+EMAIL="pc_warner@yahoo.com"
diff --git a/libraries/gmtk/slack-desc b/libraries/gmtk/slack-desc
new file mode 100644
index 0000000000..33457b5f6d
--- /dev/null
+++ b/libraries/gmtk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gmtk: gmtk (Gnome Mplayer Toolkit)
+gmtk:
+gmtk: GMTK is the Gnome Mplayer Toolkit.
+gmtk:
+gmtk: Homepage: http://sites.google.com/site/kdekorte2/gmtk
+gmtk:
+gmtk:
+gmtk:
+gmtk:
+gmtk:
+gmtk: